from django.core.validators import MinValueValidator
from django.db import models


class Category(models.Model):
    name = models.CharField(max_length=100)


class Product(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField(max_length=2000, null=True)
    photo = models.ImageField(upload_to='products')
    category = models.ForeignKey(Category, on_delete=models.CASCADE, related_name='product')
    qty = models.IntegerField(validators=[MinValueValidator(0)])
    price = models.DecimalField(max_digits=7, decimal_places=2)


class Bucket(models.Model):
    product = models.ForeignKey(Product, on_delete=models.CASCADE, related_name='bucket')
    qty = models.PositiveIntegerField()
