from django.urls import path
from web import views


urlpatterns = [
    path('products/', views.ProductListView.as_view(), name='product_list'),
    path('products/create/', views.ProductCreateView.as_view(), name='product_create'),
    path('products/<int:id>/detail/', views.ProductDetailView.as_view(), name='product_detail'),
    path('products/<int:id>/update/', views.ProductUpdateView.as_view(), name='product_update'),
    path('products/<int:id>/delete/', views.ProductDeleteView.as_view(), name='product_delete'),  
    
    path('bucket/', views.BucketListView.as_view(), name='bucket_detail'),
    path('bucket/create/', views.AddProductToBucketView.as_view(), name='bucket_create')
] 
 